{% extends 'theme::layouts/default' %}

{% block content %}
    <div class="container-fluid">
        <div class="card">
            <div class="card-header">
                <h5 class="card-title">Joomla Migrator</h5>
            </div>
            <div class="card-block">
                {%  if (not settings) %}
                    <div class="alert alert-danger">
                        {{ trans('module::message.missing_settings') }}
                    </div>
                {% elseif (not connection) %}
                    <div class="alert alert-danger">
                        {{ trans('module::message.connection_fail') }}
                    </div>
                {% elseif (not joomla) %}
                    <div class="alert alert-danger">
                        {{ trans('module::message.joomla_fail') }}
                    </div>
                {%  else %}
                    <div class="alert alert-success">
                        {{ trans('module::message.connection_success') }}
                    </div>

                    <div class="alert alert-warning">
                        {{ trans('module::message.reset_tables') }}
                    </div>
                {% endif %}
            </div>
            {% if (joomla) %}
                <ul class="list-group list-group-flush">
                    <li class="list-group-item">
                        {{ hasUsers ? '<span class="tag tag-success">Found</span>' : '<span class="tag tag-warning">Missing</span>' }}
                        Users Component
                    </li>
                    <li class="list-group-item">
                        {{ hasMenus ? '<span class="tag tag-success">Found</span>' : '<span class="tag tag-warning">Missing</span>' }}
                        Menus Component
                    </li>
                    <li class="list-group-item">
                        {{ hasContact ? '<span class="tag tag-success">Found</span>' : '<span class="tag tag-warning">Missing</span>' }}
                        Contact Component
                    </li>
                    <li class="list-group-item">
                        {{ hasContent ? '<span class="tag tag-success">Found</span>' : '<span class="tag tag-warning">Missing</span>' }}
                        Content Component
                    </li>
                    <li class="list-group-item">
                        {{ hasRedirect ? '<span class="tag tag-success">Found</span>' : '<span class="tag tag-warning">Missing</span>' }}
                        Redirect Component
                    </li>
                </ul>
                <div class="card-footer text-center">
                    <a href="{{ route('newebtime.module.joomlamigrator::admin.migrate') }}" class="btn btn-outline-primary">
                        {{ trans('module::button.launch') }}
                    </a>
                </div>
            {% endif %}
        </div>
    </div>
{% endblock %}
